Companies

Update Company

Update an existing company. Changing the VAT number or enterprise number revokes any open verification sessions for the company. If the company was already verified, its verification status is also revoked and the company must be verified again.

PUT
/api/v1/companies/{companyId}
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to update

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://app.recommand.eu/api/v1/companies/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "company": {
    "id": "string",
    "teamId": "string",
    "name": "string",
    "address": "string",
    "postalCode": "string",
    "city": "string",
    "country": "string",
    "enterpriseNumberScheme": "string",
    "enterpriseNumber": "string",
    "vatNumber": "string",
    "email": "string",
    "phone": "string",
    "isSmpRecipient": true,
    "isVerified": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}